Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.irc
Class IRCParser

    java.lang.Object
      |
      +--com.objexcel.irc.IRCParser

public final class IRCParser
extends java.lang.Object

Parses a message according to the IRC spec.

Field Summary
`static boolean[]` | `DIGIT` an array containing true at the index where the ascii value is a digit.
`static boolean[]` | `EX_CHSTRING`
`static boolean[]` | `EX_MIDDLE`
`static boolean[]` | `EX_TRAILING` an array containing true at the index where the ascii value is not a trailing char (not \r or \n).
`static boolean[]` | `LETTER` an array containing true at the index where the ascii value is a letter.
`static boolean[]` | `SERVERNAME` an array containing true at the index where the ascii value is a valid for a server.
`static boolean[]` | `SPECIAL` an array containing true at the index where the ascii value is a valid special char (per spec).
`static boolean[]` | `USER` an array containing true at the index where the ascii value is a valid user character.
`static boolean[]` | `WHITE` an array containing true at the index where the ascii value is a whitespace.

Constructor Summary
`IRCParser(IRCMessageListener l)` this message listener is sent the events from dispatch message.

Method Summary
`void` | `dispatchMessage(java.lang.String s, IRCMessage message)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LETTER

    public static final boolean[] LETTER

  an array containing true at the index where the ascii value is a letter. Speeds up parsing no end.

### SERVERNAME

    public static final boolean[] SERVERNAME

  an array containing true at the index where the ascii value is a valid for a server. Speeds up parsing no end.

### DIGIT

    public static final boolean[] DIGIT

  an array containing true at the index where the ascii value is a digit. Speeds up parsing no end.

### WHITE

    public static final boolean[] WHITE

  an array containing true at the index where the ascii value is a whitespace. Speeds up parsing no end.

### USER

    public static final boolean[] USER

  an array containing true at the index where the ascii value is a valid user character. Speeds up parsing no end.

### SPECIAL

    public static final boolean[] SPECIAL

  an array containing true at the index where the ascii value is a valid special char (per spec). Speeds up parsing no end.

### EX_CHSTRING

    public static final boolean[] EX_CHSTRING

### EX_TRAILING

    public static final boolean[] EX_TRAILING

  an array containing true at the index where the ascii value is not a trailing char (not \r or \n). Speeds up parsing no end.

### EX_MIDDLE

    public static final boolean[] EX_MIDDLE

Constructor Detail

### IRCParser

    public IRCParser(IRCMessageListener l)

  this message listener is sent the events from dispatch message.

Method Detail

### dispatchMessage

    public void dispatchMessage(java.lang.String s,
                                IRCMessage message)
                         throws java.lang.Exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD